-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Indonesian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Damayanti"
language = "Indonesian"
marc_code = "ind"
language_id = "59"
id = "59002"
config_file = "indonesian_tts/config_tts.lua"
audio_files_path = "indonesian_tts/indonesian_tts"
rulesets_file = "indonesian_tts/indonesian_tts/rules_idi.txt"
userdictionary_file = "indonesian_tts/indonesian_tts/udct_idi.dat"
apdb = "apdb/damayanti/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "Anda akan tiba di tujuan",                             -- You will reach your destination
    ["STOPOVER"] = "Anda akan tiba di perhentian",                    -- You will reach a stopover
    ["JUNCTION"] = nil,                                               -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                          -- the junction
    ["ROUNDABOUT"] = "pada bundaran,",                                -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "ambil jalur keluar",                       -- take the exit
    ["UTURN"] = "putar balik",                                        -- Make a uturn
    ["ENTER_HIGHWAY"] = "masuk ke jalan bebas hambatan",
    ["LEAVE_HIGHWAY"] = "ambil jalur keluar",                         -- take the exit
    ["CONTINUE_HIGHWAY"] = "ambil jalur keluar",                      -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "masuk ke jalan bebas hambatan",
    ["LEAVE_URBAN_HIGHWAY"] = "ambil jalur keluar",                   -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "ambil jalur keluar",
    ["DRIVE_TO_NEAREST_ROAD"] = "Arahkan kendaraan ke jalan terdekat", -- drive to nearest road 
    ["FERRY"] = "gunakan feri"
}

maneuver_turns_car = {
    ["NO_TURN"] = "tetap lurus",
    ["KEEP_MIDDLE"] = "ambil jalur tengah",
    ["KEEP_RIGHT"] = "tetap di jalur kanan",
    ["LIGHT_RIGHT"] = "belok sedikit ke kanan",
    ["QUITE_RIGHT"] = "belok ke kanan",
    ["HEAVY_RIGHT"] = "belok tajam ke kanan",
    ["RETURN"] = "putar balik",
    ["HEAVY_LEFT"] = "belok tajam ke kiri",
    ["QUITE_LEFT"] = "belok ke kiri",
    ["LIGHT_LEFT"] = "belok sedikit ke kiri",
    ["KEEP_LEFT"] = "tetap di jalur kiri",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "tetap lurus",
    ["KEEP_MIDDLE"] = "tetap lurus",
    ["KEEP_RIGHT"] = "ambil jalan di sebelah kanan",
    ["LIGHT_RIGHT"] = "belok sedikit ke kanan",
    ["QUITE_RIGHT"] = "belok ke kanan",
    ["HEAVY_RIGHT"] = "belok tajam ke kanan",
    ["RETURN"] = "putar balik",
    ["HEAVY_LEFT"] = "belok tajam ke kiri",
    ["QUITE_LEFT"] = "belok ke kiri",
    ["LIGHT_LEFT"] = "belok sedikit ke kiri",
    ["KEEP_LEFT"] = "ambil jalan di sebelah kiri",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "jalan melewati bangunan",
    ["SQUARE"] = "lintasi alun-alun",
    ["PARK"] = "lintasi taman",
    ["STAIRS"] = "gunakan tangga",
    ["ELEVATOR"] = "gunakan lift",
    ["ESCALATOR"] = "gunakan tangga"
}

final_command = {
    ["END"] = "Anda telah tiba di tempat tujuan",                  -- You have reached your destination
    ["STOPOVER"] = "Anda telah tiba di perhentian"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"ambil jalur keluar pertama", "belok ke jalan pertama"},             -- take the first exit
    [2] = {"ambil jalur keluar kedua", "belok ke jalan kedua"},                 -- take the second exit
    [3] = {"ambil jalur keluar ketiga", "belok ke jalan ketiga"},               -- take the third exit
    [4] = {"ambil jalur keluar keempat", "belok ke jalan keempat"},             -- take the fourth exit
    [5] = {"ambil jalur keluar kelima", "belok ke jalan kelima"},               -- take the fifth exit
    [6] = {"ambil jalur keluar keenam", "belok ke jalan keenam"},               -- take the sixth exit
    [7] = {"ambil jalur keluar ketujuh", "ambil jalur keluar ketujuh"},         -- take the seventh exit
    [8] = {"ambil jalur keluar kedelapan", "ambil jalur keluar kedelapan"},     -- take the eighth exit
    [9] = {"ambil jalur keluar kesembilan", "ambil jalur keluar kesembilan"},   -- take the ninth exit
    [10] = {"ambil jalur keluar kesepuluh", "ambil jalur keluar kesepuluh"},    -- take the tenth exit
    [11] = {"ambil jalur keluar kesebelas", "ambil jalur keluar kesebelas"},    -- take the eleventh exit
    [12] = {"ambil jalur keluar kedua belas", "ambil jalur keluar kedua belas"} -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "mil,",
    ["YARDS"] = "yard,",
    ["FEET"] = "feet",
    ["KILOMETER"] = "kilometer,",
    ["METERS"] = "meter,",
    ["METER"] = "meter",
    ["KILOMETERS"] = "kilometer",
    ["MILES"] = "mil",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "utara",
    ["NORTH_EAST"] = "timur laut",
    ["EAST"] = "timur",
    ["SOUTH_EAST"] = "tenggara",
    ["SOUTH"] = "selatan",
    ["SOUTH_WEST"] = "barat daya",
    ["WEST"] = "barat",
    ["NORTH_WEST"] = "barat laut"
}

misc = { 
    ["gps_signal_lost_wav"] = "Sinyal GPS hilang",
    ["gps_signal_restored_wav"] = "Sambungan GPS telah dipulihkan",
 --   ["no_gps_signal_wav"] = "Tidak ada sinyal GPS",
    ["route_recalculation_wav"] = "Kalkulasi ulang rute",
    ["now_wav"] = "Sekarang,",
    ["end_of_street_wav"] = "Di ujung jalan,",
    ["follow_motorway_wav"] = "Ikuti jalan bebas hambatan",
    ["follow_road_wav"] = "Ikuti jalan",
    ["for_wav"] = "sepanjang",
    ["after_wav"] = "Setelah",
    ["the_junction_wav"] = "persimpangan,",
    ["half_a_mile_wav"] = "setengah mil,",
    ["quarter_a_mile_wav"] = "seperempat mil,",
    ["three_quarter_of_mile_wav"] = "setengah mil,",
    ["immediately_wav"] = "segera",
    ["safety_camara_ahead_wav"] = "Kamera Keamanan di Depan",
    --["over_speed_limit_wav"] = "Perhatikan batas kecepatan",
    ["traffic_automatic_detour_wav"] = "Hambatan lalu lintas di rute perjalanan, lalu lintas dialihkan",
    ["traffic_manual_detour_wav"] = "Hambatan lalu lintas di rute perjalanan, Anda ingin dialihkan?",
    ["no_detour_possible"] = "Tidak ada pengalihan lalu lintas",
    ["roundabout_and_wav"] = "dan",
    ["and_wav"] = "kemudian",
    ["and_then_wav"] = "kemudian",
    ["and_continue_on_wav"] = "dan kemudian lanjut di",
    ["towards_wav"] = "ke arah",
    ["turn_wav"] = "belok",
    ["onto_wav"] = "masuk ke",
    ["exit_wav"] = "ambil jalur keluar",
    ["second_right_wav"] = "ambil belokan kanan yang kedua",
    ["second_left_wav"] = "ambil belokan kiri yang kedua",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "lewati bundaran dari sebelah kiri",
    ["walk_right_roundabout_wav"] = "lewati bundaran dari sebelah kanan",
    ["walk_roundabout_wav"] = "Berjalan mengelilingi bundaran",
    ["head_wav"] = "Ke arah",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "di",
    ["on_head_wav"] = nil,
    ["onto_the_footpath_wav"] = "masuk ke jalur"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


